{ config, nixpkgs, lib, ... }:
with lib.hm.gvariant;
{
  config = {
    nix-config = {
      hypr = {
        internal-screen = {
            resolution = "2944x1840@90.00";
            scale = "1.6";
        };
      };
      # quickshell = {
      #   enable = true;
      # };
    };
  };


  imports = [
    ../remy.nix
    ../../modules/home-manager/browser.nix
    ../../modules/home-manager/code.nix
    ../../modules/home-manager/dev.nix
    ../../modules/home-manager/directories.nix
    ../../modules/home-manager/documents.nix
    ../../modules/home-manager/fish.nix
    ../../modules/home-manager/flatpaks.nix
    ../../modules/home-manager/fusuma.nix
    ../../modules/home-manager/hypr
    ../../modules/home-manager/keepassxc.nix
    ../../modules/home-manager/kitty.nix
    ../../modules/home-manager/kubectl.nix
    ../../modules/home-manager/launcher.nix
    ../../modules/home-manager/obsidian.nix
    ../../modules/home-manager/owncloud-client.nix
    ../../modules/home-manager/quickshell
    ../../modules/home-manager/ssh.nix
    ../../modules/home-manager/stylix.nix
    ../../modules/home-manager/thunderbird.nix
    ../../modules/home-manager/uxplay.nix
    # ../../modules/home-manager/wofi.nix
    ../../modules/home-manager/xdg-portals.nix
  ];
}
